Bug 1551350 - [RFE] Add support for querying information from QEMU Guest Agent
Summary: [RFE] Add support for querying information from QEMU Guest Agent
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: vdsm
Classification: oVirt
Component: Core
Version: 4.20.8
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ovirt-4.2.3
: ---
Assignee: Tomáš Golembiovský
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On: 1566059 1569013
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-05 00:17 UTC by Tomáš Golembiovský
Modified: 2018-05-10 06:30 UTC (History)
5 users (show)

Fixed In Version: vdsm v4.20.27.1
Doc Type: Enhancement
Doc Text:
It is now possible to obtain infomation like hostname, OS info, time zone and active users on VMs where ovirt-guest-agent is not installed and only QEMU Guest Agent is present.
Clone Of:
Environment:
Last Closed: 2018-05-10 06:30:37 UTC
oVirt Team: Virt
rule-engine: ovirt-4.2?
pmatyas: testing_plan_complete+
rule-engine: planning_ack?
rule-engine: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 88443 ovirt-4.2 MERGED qga: fix error logging in call_qga_command 2018-03-21 15:29:15 UTC
oVirt gerrit 88444 ovirt-4.2 MERGED qga: use command constant 2018-03-21 15:29:20 UTC
oVirt gerrit 88445 ovirt-4.2 MERGED qga: add tests for poller 2018-03-21 15:29:25 UTC
oVirt gerrit 88446 ovirt-4.2 MERGED qga: query host name 2018-03-21 15:59:49 UTC
oVirt gerrit 88447 ovirt-4.2 MERGED qga: query guest OS information 2018-03-21 16:19:10 UTC
oVirt gerrit 88448 ovirt-4.2 MERGED qga: query timezone 2018-03-21 16:40:05 UTC
oVirt gerrit 88449 ovirt-4.2 MERGED qga: query list of active users 2018-03-21 17:25:10 UTC
oVirt gerrit 89774 ovirt-4.2 ABANDONED qga: query network interface addresses 2018-04-03 15:17:05 UTC
oVirt gerrit 89775 ovirt-4.2 MERGED qga: query network interface addresses 2018-04-04 15:57:32 UTC
oVirt gerrit 90046 ovirt-4.2 MERGED qga: prevent bogus traces in log 2018-04-10 12:16:49 UTC

Description Tomáš Golembiovský 2018-03-05 00:17:35 UTC
Add support for querying the following information from QEMU Guest Agent:

- host name
- operating system
- time zone
- active users

Comment 1 Petr Matyáš 2018-03-19 10:06:39 UTC
Can you please provide feature page or proper description of this feature so I can consider making a test plan.

Comment 2 Michal Skrivanek 2018-03-19 19:24:25 UTC
(In reply to Petr Matyáš from comment #1)
> Can you please provide feature page or proper description of this feature so
> I can consider making a test plan.

guest-agent communication is described here:
https://github.com/oVirt/vdsm/blob/master/doc/guest-agent.md

The test should focus on the new information being reported when ovirt-ga is NOT running anymore, and those are provided by the qemu-ga instead

Comment 3 Tomáš Golembiovský 2018-04-03 15:09:32 UTC
adding NIC address reporting

Comment 4 Petr Matyáš 2018-04-16 11:43:34 UTC
Using vdsm-4.20.25-1.el7ev (and qemu-guest-agent-2.8.0-2.el7.x86_64)

The only thing that is reported to webadmin (and visible in RESTAPI) is the NIC, neither hostname nor TZ, OS, active user info is reported.

Comment 6 Petr Matyáš 2018-04-16 11:47:44 UTC
Maybe also reporting local IPv4 and v6 addresses is not the best idea. At least I don't think I can connect to that particular machine with IP 127.0.0.1.

Comment 7 Tomáš Golembiovský 2018-04-16 12:52:44 UTC
From vdsm.log it seems you have older version of QEMU-GA. You need at least 2.10 or newer.

Comment 10 Petr Matyáš 2018-04-17 14:39:09 UTC
Moving back to MODIFIED as we don't have qemu-guest-agent-2.10 on RHEL yet.

Comment 11 Petr Matyáš 2018-05-04 13:39:12 UTC
Verified on vdsm-4.20.27.1-1.el7ev.x86_64 using RHEL7 with qemu-guest-agent-2.12.0-1.el7.x86_64

IP, FQDN, OS, TZ and active user is reported

Comment 12 Sandro Bonazzola 2018-05-10 06:30:37 UTC
This bugzilla is included in oVirt 4.2.3 release, published on May 4th 2018.

Since the problem described in this bug report should be
resolved in oVirt 4.2.3 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.